ru.bitel.bgbilling.modules.buyemoney.server.bean

## Class CurrencyRate

- java.lang.Object
- - ru.bitel.bgbilling.modules.buyemoney.server.bean.CurrencyRate

-     public class CurrencyRate
      extends java.lang.Object

  Валюта отдельная в биллинге. Привязка настроенной из конфига валюты-протокола к периоду действия, курсу итд. Соответствует таблице buyemoney_rate_$mid
  Author:
    dimon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrencyRate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `Period` | `getPeriod()`
    `ru.bitel.common.util.BGMoney` | `getPrice()`
    `int` | `getProtocolCurrency()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setId(int id)`
    `void` | `setPeriod(Period period)`
    `void` | `setPrice(ru.bitel.common.util.BGMoney price)`
    `void` | `setProtocolCurrency(int protocolCurrency)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrencyRate

          public CurrencyRate()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getProtocolCurrency

          public int getProtocolCurrency()

    - #### setProtocolCurrency

          public void setProtocolCurrency(int protocolCurrency)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getPrice

          public ru.bitel.common.util.BGMoney getPrice()

    - #### setPrice

          public void setPrice(ru.bitel.common.util.BGMoney price)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)